directories:
  output: dist
  buildResources: resources
appId: com.nimabastani.alpharp
icon: logo.ico
productName: AlphaRP
files:
  - filter:
      - main-entry.js
      - main.jsc
      - preload.js
      - landing/**/*
      - build/Release/backend.node
      - node_modules/**/*
asarUnpack:
  - build/Release/*.node
  - '**/*.node'
win:
  icon: logo.ico
  target:
    - target: nsis
nsis:
  oneClick: false
  createDesktopShortcut: true
  allowToChangeInstallationDirectory: true
  createStartMenuShortcut: true
  deleteAppDataOnUninstall: true
  installerIcon: logo.ico
  installerSidebar: installerSideBar.bmp
publish:
  - provider: custom
electronVersion: 42.4.0
